"use strict";
const common_vendor = require("../../../common/vendor.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_popup2 = common_vendor.resolveComponent("hs-popup");
  (_easycom_uni_icons2 + _easycom_hs_popup2)();
}
const _easycom_uni_icons = () => "../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_popup = () => "../../../components/hs-popup/hs-popup.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_hs_popup)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "CreateHousehold",
  setup(__props) {
    const show = common_vendor.ref(false);
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(($event) => show.value = true),
        b: common_vendor.p({
          type: "personadd-filled",
          size: "30",
          color: "#2A7EFB"
        }),
        c: common_vendor.p({
          type: "weixin",
          size: "30",
          color: "#28C445"
        }),
        d: common_vendor.o(($event) => show.value = false),
        e: common_vendor.p({
          show: show.value,
          mode: "bottom",
          closeable: true,
          round: 15
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-cea7edd7"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/INDEX/asset_houses/components/CreateHousehold.vue"]]);
wx.createComponent(Component);
